Bug 973380 - "yumdownloader --downloadonly" raises an error
"yumdownloader --downloadonly" raises an error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 15:45 EDT by MERCIER Jonathan
Modified: 2013-06-14 00:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: yum-3.4.3-94.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 00:46:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yumdownloader downloadonly parameter (2.03 KB, text/plain)
2013-06-11 15:45 EDT, MERCIER Jonathan
no flags Details

  None (edit)
Description MERCIER Jonathan 2013-06-11 15:45:11 EDT
Created attachment 759791 [details]
yumdownloader downloadonly parameter

The are 2 problems:

*** downloadonly

Using this parameter will raise an error


*** archlist

I wouldlike to download ldc rpm for x86_64 arch so i tell it to yumdownloader as:

$ yumdownloader --archlist=x86_64 ldc


But yumdownloader download both x86_64 / i686 package ?!?

Please fix these bug

thanks
Comment 1 Zdeněk Pavlas 2013-06-12 04:40:40 EDT
Thanks for the report, yumdownloader --downloadonly did not work also in rawhide.  Just to make sure it wasn't some other bug, did the traceback in "yumdownloader --downloadonly" case include this?

  File "/usr/share/yum-cli/yum/packages.py", line 970, in verifyLocalPkg
    (csum_type, csum) = self.returnIdSum()

When --downloadonly, we have to prefetch pkg checksum before closing the database.. Yum does that already, but yumdownloader does not.

For the 2nd bug.. that's the way how --archlist foo is implemented.. yumdownloader downloads pkgs for all compatible architectures., eg:

./yumdownloader.py --archlist x86_64 ...
=> downloads ['x86_64', 'athlon', 'i686', 'i586', 'i486', 'i386', 'noarch'] arches.
Comment 2 Zdeněk Pavlas 2013-06-12 05:37:38 EDT
Ah, missed the already attached tb..
Comment 3 Fedora Update System 2013-06-12 05:40:15 EDT
yum-3.4.3-94.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-94.fc19
Comment 4 Fedora Update System 2013-06-12 15:10:05 EDT
Package yum-3.4.3-94.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-94.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10676/yum-3.4.3-94.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-14 00:46:21 EDT
yum-3.4.3-94.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.